
Name:           xiccd
Version:        0.3.0
Release:        %mkrel 4
Summary:        X11 ICC Daemon
License:        GPL-3.0+
Group:          System/X11
Url:            https://github.com/agalakhov/xiccd
Source:         https://github.com/agalakhov/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(colord)
BuildRequires:  pkgconfig(xrandr)

%description
xiccd is a simple bridge between colord and X.
It does the following tasks:

 * Enumerates displays and register them in colord;
 * Creates default ICC profiles based on EDID data;
 * Applies ICC profiles provided by colord;
 * Maintains user's private ICC storage directory.

It does basically the same as gnome-settings-daemon color plugin or colord-kde
but does not depend on any particular desktop. It even doesn't depend on GTK so
it doesn't create useless GTK3 dependency if the desktop environment is GTK2-based
or vice versa. The primary goal of xiccd is providing color profile support for
desktop environments other than Gnome and KDE (Xfce, LXDE and probably others) that
do not support native color management yet. It is however not meant to be excuse
of not adding native color management to the session daemons of them.

%prep
%setup -q


%build
autoreconf -vfi
%configure2_5x --prefix=/usr \
	--libdir=%{_libdir}
# \
#	--sysconfdir=%{_sysconfdir}
	
%make

%install
rm -rf %buildroot
%makeinstall_std
mkdir -p %buildroot/etc/xdg/autostart
mv -f %buildroot/xdg/autostart/xiccd.desktop %buildroot/etc/xdg/autostart/

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README.md
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_mandir}/man8/%{name}*.bz2


%changelog
* Wed Jun 28 2023 tex - 0.3.0-4pclos2023
- rebuild against updates

* Mon Jan 23 2023 onkelho <oh.quait at gmail.com> - 0.3.0-3pclos2023
- updates needed rebuild

* Tue Oct 20 2020 onkelho <oh.quait at gmail.com> - 0.3.0-2pclos2020
- rebuild against updates
- few fixes since rel

* Fri Aug 16 2019 onkelho <oh.quait at gmail.com> - 0.3.0-1pclos2019
- new release  colord-gtk update,

* Fri Mar 01 2019 onkelho <oh.quait at gmail.com> 0.2.4-1pclos2019
- imported from OS 
- initialy build on PCLinuxOS

